com.thinkaurelius.titan.graphdb.relations

## Class StandardEdge

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation
    - - com.thinkaurelius.titan.graphdb.relations.AbstractEdge
      - - com.thinkaurelius.titan.graphdb.relations.StandardEdge

- All Implemented Interfaces:
    Idfiable, TitanEdge, TitanElement, TitanRelation, InternalElement, InternalRelation, ReassignableRelation, StandardRelation, Removable, com.tinkerpop.blueprints.Edge, com.tinkerpop.blueprints.Element, Comparable<TitanElement>

      public class StandardEdge
      extends AbstractEdge
      implements StandardRelation, ReassignableRelation

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Property Summary

    - ### Properties inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractEdge

      `isProperty`

    - ### Properties inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `isProperty`

  - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardEdge(long id, EdgeLabel label, InternalVertex start, InternalVertex end, byte lifecycle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getLifeCycle()`
    `long` | `getPreviousID()`
    `<O> O` | `getPropertyDirect(RelationType type)`
    `Iterable<RelationType>` | `getPropertyKeysDirect()`
    `void` | `remove()` Deletes this entity and any incident edges or properties from the graph.
    `<O> O` | `removePropertyDirect(RelationType type)`
    `void` | `setPreviousID(long previousID)`
    `void` | `setPropertyDirect(RelationType type, Object value)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractEdge

      `getArity, getEdgeLabel, getLabel, getLen, getOtherVertex, getVertex, getVertex, isDirected, isEdge, isProperty, isUnidirected, setVertexAt, toString`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `getDirection, getId, getProperty, getProperty, getProperty, getProperty, getPropertyKeys, getType, isHidden, isIncidentOn, isLoop, it, removeProperty, removeProperty, setProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getCompareId, getLongId, hashCode, hasId, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelation

      `getArity, getLen, getProperty, getVertex, it`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `getDirection, getProperty, getType, isEdge, isIncidentOn, isLoop, isProperty, setProperty`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `isHidden, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.relations.ReassignableRelation

      `setVertexAt`

- - ### Constructor Detail

    - #### StandardEdge

          public StandardEdge(long id,
                      EdgeLabel label,
                      InternalVertex start,
                      InternalVertex end,
                      byte lifecycle)

  - ### Method Detail

    - #### getPreviousID

          public long getPreviousID()

      Specified by:
        `getPreviousID` in interface `StandardRelation`

    - #### setPreviousID

          public void setPreviousID(long previousID)

      Specified by:
        `setPreviousID` in interface `StandardRelation`

    - #### getPropertyDirect

          public <O> O getPropertyDirect(RelationType type)

      Specified by:
        `getPropertyDirect` in interface `InternalRelation`

    - #### setPropertyDirect

          public void setPropertyDirect(RelationType type,
                               Object value)

      Specified by:
        `setPropertyDirect` in interface `InternalRelation`

    - #### getPropertyKeysDirect

          public Iterable<RelationType> getPropertyKeysDirect()

      Specified by:
        `getPropertyKeysDirect` in interface `InternalRelation`

    - #### removePropertyDirect

          public <O> O removePropertyDirect(RelationType type)

      Specified by:
        `removePropertyDirect` in interface `InternalRelation`

    - #### getLifeCycle

          public byte getLifeCycle()

      Specified by:
        `getLifeCycle` in interface `InternalElement`
      Returns:
        The lifecycle of this element
      See Also:
        `ElementLifeCycle`

    - #### remove

          public void remove()

      Description copied from interface: `TitanElement`
      Deletes this entity and any incident edges or properties from the graph.

      Specified by:
        `remove` in interface `TitanElement`
      Specified by:
        `remove` in interface `Removable`
      Specified by:
        `remove` in interface `com.tinkerpop.blueprints.Element`

Copyright © 2012–2014. All rights reserved.